﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=7.8
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim Watchdog_Tmr As Timer
	Dim Boot_Starter As Boolean=True
End Sub

Sub Service_Create
	'This is the program entry point.
	'This is a good place to load resources that are not specific to a single activity.
	If Boot_Starter=True Then
		Boot_Starter=False
		Log("Booting Watchdog Timer")
		Watchdog_Tmr.Initialize("Watchdog_Tmr",5000)
		'Watchdog_Tmr.Enabled=True
	End If
	Log("Service_Create")

End Sub

Sub Service_Start (StartingIntent As Intent)
	Log("Service_Start")
	'CallSubDelayed("Main","Activity_Resume")
End Sub

Sub Service_TaskRemoved
	'This event will be raised when the user removes the app from the recent apps list.
	Log("Service_TaskRemoved")
End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Log("Application_Error")
	Log(Error)
	Log(StackTrace)
	Return False
End Sub

Sub Service_Destroy
	Log("Service_Destroy")
End Sub

Sub Watchdog_Tmr_Tick
	'Main.Crashed=Main.Crashed+1
	
	'If Main.Crashed>3 Then
		Log("Watchdog_Tmr_Tick")
		CallSubDelayed("Main","Activity_Resume")
		Watchdog_Tmr.Enabled=False
		'CallSubDelayed("Starter","Service_Start")
	'CallSubDelayed("Main","Activity_Create")
	'CallSubDelayed("Main","Boot")

	'End If
End Sub

